Home > Return Code > Return Code 9 Is Out Of Bounds

Return Code 9 Is Out Of Bounds

For instance, for a check result that is returning a healthy status, it may look like the former whereas an unhealthy status would be displayed the the latter. http://p.sf.net/sfu/rim-devcon-copy1 _______________________________________________ Nagios-users mailing list [email protected] https://lists.sourceforge.net/lists/listinfo/nagios-users ::: Please include Nagios version, plugin version (-v) and OS when reporting anyissue. ::: Messages without supporting info will risk being sent to /dev/null http://p.sf.net/sfu/rim-devcon-copy1 _______________________________________________ Nagios-users mailing list [email protected] https://lists.sourceforge.net/lists/listinfo/nagios-users ::: Please include Nagios version, plugin version (-v) and OS when reporting any issue. ::: Messages without supporting info will risk being sent to Register for BlackBerry® DevCon today!
http://p.sf.net/sfu/rim-devcon-copy1
\ _______________________________________________
Nagios-users mailing list
[email protected] \
https://lists.sourceforge.net/lists/listinfo/nagios-users
::: \ Please include Nagios version, plugin version (-v) have a peek here

share|improve this answer answered Sep 22 '09 at 18:41 Anders Lindahl 25.6k55577 when echo $? Why do CDs and DVDs fill up from the centre outwards? Don't forget to timeout using SIGALARM to avoid stale processes. Could you > post your definiton from that file? > > And your service definition should be; > > check_command check_url_status! > URL!--http-user=someuser!--http-passwd=somepassword > > > Ed > > On 5/21/09

For more information about these matters, see the file named COPYING. foreach $tablespace_name(@tablespaces) { logit (" checking tablespace $tablespace_name"); $sql =3D "SELECT OWNER \"Owner\", SEGMENT_NAME \"Object name\", SEGMENT_TYPE \"Object type\" FROM DBA_SEGMENTS WHERE TABLESPACE_NAME =3D '$tablespace_name' AND NEXT_EXTENT > (SELECT NVL(MAX(BYTES),'0') FROM I have disabled the embedded perl interpreter. If I do the following: [email protected]:/usr/local/nagios/libexec$ sudo -u nagios ./check_snmp_mw_local_rx_power.pl --hostname 192.168.27.140 --rocommunity EMSOLUTIONS --snmp-version 1 CHECK_RX_POWER OK - Local RX Power OK (-47.5dBm), |'local_RX_Power'=-47.5;-67;-100;; [email protected]:/usr/local/nagios/libexec$ echo $? 0 It suggests

Warning: Return code of 255 for check of service 'Current Users' on host 'jxxxx.xxxx.com' was out of bounds. to: check_command /usr/bin/perl USER1$/check_oracle_instance.pl ARGS... If you have received this e-mail in error, please contact the sender immediately and notify them that you received this in error. Is there some way I can get more
> detail on why this code is getting returned by using debugging options
in nagios.cfg?
>

$ errid 9
9 EBADF

Top reply Thu, 07/07/2016 - 23:14 #2 itefix Offline Last seen: 50 min 54 sec ago Joined: 01.05.2008 - 21:33     Did you follow our usage instructions at https://www.itefix.net/content/nagwin-usage-example-3-basic-monitoring-l... ? How does your nrpe.cfg look like ? NRPE by default runs on port 5666; ensure that that port is allowed share|improve this answer answered Aug 18 '14 at 7:26 kakoma 833912 add a comment| up vote 1 down Plugin source code below: #!/usr/bin/perl =pod =head1 NAME Name of plugin and a sentence explaining function -head2 SYNOPSIS Detailed explanation of what the check does, any caveats, etc. =cut sub check_snmp_mw_rx_power

Terms Privacy Opt Out Choices Advertise Get latest updates about Open Source Projects, Conferences and News. What in the world happened with my cauliflower? Register for BlackBerry(r) DevCon today! Briefly describe the problem (required): Upload screenshot of ad (required): Select a file, or drag & drop file here. ✔ ✘ Please provide the ad click URL, if possible: Home Browse

  1. require 5.003; use /usr/lib/nagios/libexec/utils.pm; use strict; use Getopt::Long; # We need the DBI and DBD-Oracle Perl modules: require DBI || die "It appears that the DBI module is not installed!= aborting...\n";
  2. Movie about a girl who had another different life when she dreamed How to interpret this decision tree?
  3. Try running the code as the nagios user and then "echo $?" to check the result code $ sudo -H -u nagios /path/to/pl $ echo $? ~BAS On Fri, 2007-09-28 at
  4. I understand that I can withdraw my consent at any time.
  5. If your NRPE is wrapped by the xinetd service, you need to add the nagios server to the only_from directive on the client conf file(/etc/xinetd.d/nrpe) only_from = 127.0.0.1 NagiosServerHostName NagiosServerHostName needs
  6. You can check the exit status of the command in the variable $?
  7. Seklecki [Nagios-users] (Return code of 9 is out of boun...
  8. more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science
  9. Sign up for the SourceForge newsletter: I agree to receive quotes, newsletters and other information from sourceforge.net and its partners regarding IT services and products.

Since I haven't tested it for Oracle yet I'd be glad to have some reports. https://www.mail-archive.com/[email protected]/msg14188.html Jeffrey. Any e-mail erroneously transmitted to you should be immediately destroyed. But as I have mentioned I am seeing NRPE: Unable to read output on the nagios webpage Regards –bala Sep 22 '09 at 19:48 add a comment| up vote 2 down

Thomas -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.6 (GNU/Linux) Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org iD8DBQFHAYK56dZ+Kt5BchYRAtAXAKDNR5CL7ScTnAaoNeShqEL+PjleMACg3VX3 7PtOQqcfJNvGnLT0zXNJ8hg= =N5ZN -----END PGP SIGNATURE----- SourceForge About Site Status @sfnet_ops Powered by Apache Allura™ Find navigate here Home | Browse | FAQ | Advertising | Blog | Feedback | MarkMail™ Legalese | About MarkLogic Server Skip to site navigation (Press enter) [Nagios-users] (Return code of 9 is out The Nagwin is running fine on windows PC and i am able to monitor localhost Is there anything i need to install it on windows machine? Copyright (c) 2002 Sven Dolderer\n"; } sub logit { my $text =3D shift; if ($debug) { open (LOG,">>$logfile") || die "Cannot open log file \"$logfile\"!"= ; print LOG "$text\n"; close (LOG);

If you are using a plugin to monitor something and it shows “Return code of 13 is out of bounds” on Nagios Screen, the problem in most cases is the permission How To Tell When Broccoli is Bad? You seem to have CSS turned off. Check This Out Is there some way I can get more > > detail on why this code is getting returned by using debugging options > in nagios.cfg? > > > > $ errid

All plugins share
the number of open filedescriptors with Nagios, so if many plugins run
at the same time and the plugin is opening a lot of files or making a
zack kenton Re: [Nagios-users] (Return code of 9 is... asked 7 years ago viewed 58951 times active 9 months ago Linked 9 Monitoring URLs with Nagios Related 9Monitoring URLs with Nagios0Nagios: trying to run custom command return 1260Nagios plugin (written

In my case, plugin is check_port. #    chmod 755 /usr/local/nagios/libexec/check_port

#    service nagios restart #    systemctl restart httpd.service It's Done..!

getDbVersion($dbh) unless ($state); print "$message\n"; exit $state; sub usage { copyright(); print " This plugin will check various things of an oracle database instance. after the command has run with: echo $? Brian A. All Rights Reserved.

I know of 123 and 127 numbers, but why would a 9 return? - zack kenton (zkenton) ----------------------- The mailing list archive is found here: http://www.nagiosexchange.org/nagios-users.34.0.html ------------------------------------------------------------------------- This SF.net email is Solution: Change Permission on the required plugin. Is this possible to monitor linux host from Windows PC? this contact form Anything else will cause that error.